#ifndef _Handle_PDataStd_ExtStringList_HeaderFile
#define _Handle_PDataStd_ExtStringList_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_ExtStringList;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_ExtStringList);

class Handle(PDataStd_ExtStringList) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_ExtStringList)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_ExtStringList)(const Handle(PDataStd_ExtStringList)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_ExtStringList)(const PDataStd_ExtStringList* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_ExtStringList)& operator=(const Handle(PDataStd_ExtStringList)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_ExtStringList)& operator=(const PDataStd_ExtStringList* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_ExtStringList* operator->() const 
     {
      return (PDataStd_ExtStringList *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_ExtStringList) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
